RangeSliceResponseResolver (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class RangeSliceResponseResolver

    java.lang.Object
      org.apache.cassandra.service.RangeSliceResponseResolver

All Implemented Interfaces:
  IResponseResolver<java.lang.Iterable<Row>>

    public class RangeSliceResponseResolver

extends java.lang.Object
implements IResponseResolver<java.lang.Iterable<Row>>

Turns RangeSliceReply objects into row (string -> CF) maps, resolving to the most recent ColumnFamily and setting up read repairs as necessary.

Field Summary
`java.util.List<IAsyncResult>` | `repairResults`
`protected java.util.Collection<Message>` | `responses`

Constructor Summary
`RangeSliceResponseResolver(java.lang.String table)`

Method Summary
`java.util.List<Row>` | `getData()` returns the data response without comparing with any digests
`int` | `getMaxLiveColumns()`
`java.lang.Iterable<Message>` | `getMessages()`
`boolean` | `isDataPresent()`
`void` | `preprocess(Message message)`
`java.lang.Iterable<Row>` | `resolve()` This Method resolves the responses that are passed in .
`void` | `setSources(java.util.List<java.net.InetAddress> endpoints)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### responses

    protected final java.util.Collection<Message> responses

### repairResults

    public final java.util.List<IAsyncResult> repairResults

Constructor Detail

### RangeSliceResponseResolver

    public RangeSliceResponseResolver(java.lang.String table)

Method Detail

### setSources

    public void setSources(java.util.List<java.net.InetAddress> endpoints)

### getData

    public java.util.List<Row> getData()
                                throws java.io.IOException

  Description copied from interface: `IResponseResolver`
  returns the data response without comparing with any digests

  Specified by:
    `getData` in interface `IResponseResolver<java.lang.Iterable<Row>>`
  Throws:
    `java.io.IOException`

### resolve

    public java.lang.Iterable<Row> resolve()
                                    throws java.io.IOException

  Description copied from interface: `IResponseResolver`
  This Method resolves the responses that are passed in . for example : if its write response then all we get is true or false return values which implies if the writes were successful but for reads its more complicated you need to look at the responses and then based on differences schedule repairs . Hence you need to derive a response resolver based on your needs from this interface.

  Specified by:
    `resolve` in interface `IResponseResolver<java.lang.Iterable<Row>>`
  Throws:
    `java.io.IOException`

### preprocess

    public void preprocess(Message message)

  Specified by:
    `preprocess` in interface `IResponseResolver<java.lang.Iterable<Row>>`

### isDataPresent

    public boolean isDataPresent()

  Specified by:
    `isDataPresent` in interface `IResponseResolver<java.lang.Iterable<Row>>`

### getMessages

    public java.lang.Iterable<Message> getMessages()

  Specified by:
    `getMessages` in interface `IResponseResolver<java.lang.Iterable<Row>>`

### getMaxLiveColumns

    public int getMaxLiveColumns()

  Specified by:
    `getMaxLiveColumns` in interface `IResponseResolver<java.lang.Iterable<Row>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation